Skip to navigation

Get work item

View as Markdown

Get a work item

Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.

Authentication

AuthorizationBearer

Docusign OAuth 2.0 access token, sent as Authorization: Bearer <token>.

Path parameters

idstringRequiredformat: "uuid"
ID of work item.
accountIdstringRequiredformat: "uuid"
The ID of the Docusign account.

Query parameters

expandlist of stringsOptional

(Assignee): The user to whom the item is assigned. (Documents): The documents involved in the work item. (AssigneeInstructions): Explicit instructions provided to the assignee. (Workflow): The workflow instance containing this item. (Selections): Possible choices for completing a human step. Used in conjunction with the Selected property.

Response

OK
NamestringOptional
Name of the work item. Filterable and sortable
TypestringOptional
Name of the step represented by this work item. Possible values include Approve Documents, Choice, Choose Documents, Choose Users, Edit Documents, and Fill Form. Filterable
AssignDatedatetimeOptional
Date and time this work item was assigned to a user. Sortable
DueDatedatetimeOptional
Date and time this work item is due. If null, there is no due date. Sortable
AssigneeInstructionsstringOptional
Instructions given by the designer of this workflow to the assignee to complete this work item
CreatedDatedatetimeOptional
Date and time that the work item was created. Sortable
WorkItemUrlstringOptional
Link to work item in the workflow inbox.
HrefstringOptional
Uri where the object can be retrieved.
AssigneeobjectOptional
User to whom this work item is assigned
DocumentsobjectOptional
Collection of documents associated with this work item
WorkflowobjectOptional
The workflow that contains this work item
SelectionsobjectOptional
List of all possible choices that can be used to complete the work item. Used in combination with the Selected property
SelectedobjectOptional

Populate this property based on instructions using option(s) from the Selections property to complete the work item